package cn.com.qmth.examcloud.core.reports.api.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.api.commons.exchange.PageInfo;
import cn.com.qmth.examcloud.core.reports.base.bean.StudentCountBean;
import cn.com.qmth.examcloud.core.reports.service.StudentTotalCountService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

@RestController
@Api(tags = "学生总人数")
@RequestMapping("${$rmp.ctr.reports}/" + "studentTotalCount")
public class StudentTotalCountController extends ControllerSupport {
	@Autowired
	private StudentTotalCountService studentTotalCountService;

	@GetMapping("/getSumTotalCount")
	@ApiOperation(value = "获取总的学生人数")
	public Long getSumTotalCount() {
		return studentTotalCountService.getSumTotalCount();
	}
	
	@GetMapping("page/{pageNo}/{pageSize}")
	@ApiOperation(value = "分页查询学生在线人数和总人数")
	public PageInfo<StudentCountBean> queryPage(@RequestParam(required = false) String rootOrgId,
			@PathVariable @ApiParam(value = "pageNo = 1,2,3...") Integer pageNo, @PathVariable Integer pageSize) {
		return studentTotalCountService.queryPage(rootOrgId, pageNo, pageSize);
	}
}