package cn.com.qmth.examcloud.core.reports.base.bean;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class UpdateProjectReq implements JsonSerializable {



	/**
	 * 
	 */
	private static final long serialVersionUID = -6517778374791797274L;

	// 项目id
	@NotNull(message = "项目id不能为空")
    @ApiModelProperty(value = "项目id")
	private Long id;
	// 项目名
	@NotBlank(message = "项目名称不能为空")
	@Length(min = 1, max = 100, message = "项目名称长度需要在1和100之间")
    @ApiModelProperty(value = "项目名称")
	private String name;


	// 备注
	@Length(min = 0, max = 100, message = "备注长度需要在0和100之间")
	private String remarks;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getRemarks() {
		return remarks;
	}

	public void setRemarks(String remarks) {
		this.remarks = remarks;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	
}
